// ctrlbrk.cpp
// Shows how to intercept a Ctrl-Break to avoid
// terminating a program.  Will not work if launched
// from the IDE!  Execute from command line to
// see it in operation.
#include <stdio.h>
#include <conio.h>
#include <dos.h>

int IgnoreCtrlBrk(void)
// Return 0 to abort program; non-0 to continue
{ return 1; }

void main(void)
{
  ctrlbrk( IgnoreCtrlBrk );
  while (1) {
    printf("Press <space> to halt; Ctrl-Break is intercepted...");
    if (kbhit())
      { if (getch()==' ') return; }
  };
}
